Loading...
Searching...
No Matches
Opm::PvtwsaltTable Class Reference

## Public Member Functions

void | init (const Opm::DeckRecord &record0, const Opm::DeckRecord &record1)
std::size_t | size () const
std::vector< double > | getSaltConcentrationColumn () const
std::vector< double > | getFormationVolumeFactorColumn () const
std::vector< double > | getCompressibilityColumn () const
std::vector< double > | getViscosityColumn () const
std::vector< double > | getViscosibilityColumn () const
double | getReferencePressureValue () const
double | getReferenceSaltConcentrationValue () const
const std::vector< double > & | getTableValues () const
bool | operator== (const PvtwsaltTable &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static PvtwsaltTable | serializationTestObject ()

## Protected Attributes

double | m_pRefValues {}
double | m_saltConsRefValues {}
std::vector< double > | m_tableValues

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/PvtwsaltTable.hpp
- opm/input/eclipse/EclipseState/Tables/Bdensity.cpp
- opm/input/eclipse/EclipseState/Tables/PvtwsaltTable.cpp